petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPChebyshevEstEigGetKSP

Get the Krylov method context used to estimate eigenvalues for the Chebyshev method. If a Krylov method is not being used for this purpose, NULL is returned. The reference count of the returned KSP is not incremented: it should not be destroyed by the user.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPChebyshevEstEigGetKSP(KSP ksp, KSP *kspest)

### Input Parameters

ksp -the Krylov space context

### Output Parameters

kspest the eigenvalue estimation Krylov space context -

### See Also

KSPChebyshevEstEigSet()

Level:intermediate
Location:src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages